Bug 156905 - Provide Introduce method refactoring
Provide Introduce method refactoring
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
5.x
All All
: P2 with 3 votes (vote)
: 8.1
Assigned To: Alexander Simon
issues@cnd
:
Depends on:
Blocks: 136314
  Show dependency treegraph
 
Reported: 2009-01-15 17:57 UTC by Vladimir Voskresensky
Modified: 2015-05-09 08:09 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2009-01-15 17:57:40 UTC
Provide Introduce method refactoring
Comment 1 Vladimir Voskresensky 2009-01-16 17:45:54 UTC
implementing actions and UI:
http://hg.netbeans.org/main?cmd=changeset;node=2478adce5e5f
Comment 2 Quality Engineering 2009-01-17 06:55:19 UTC
Integrated into 'main-golden', will be available in build *200901170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2478adce5e5f
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: actions and UI for:
IZ#156905:  Provide Introduce method refactoring
IZ#156906:  Provide introduce variable refactoring
Comment 3 vbeffa 2009-09-10 23:28:58 UTC
Sometimes these menu items are enabled, and selecting one brings up an error dialog "No selection in editor."
Comment 4 Vladimir Voskresensky 2009-09-25 14:06:05 UTC
consider for the next release due to lack of resources
Comment 5 Quality Engineering 2015-05-01 02:54:34 UTC
Integrated into 'main-silver', will be available in build *201505010001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7dcbd3404079
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #156905 Provide Introduce method refactoring
- Initial design
Comment 6 Quality Engineering 2015-05-06 02:55:40 UTC
Integrated into 'main-silver', will be available in build *201505060001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/04bb6b6d1546
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #156905 Provide Introduce method refactoring
- add "struct" keyword for C
Comment 7 Quality Engineering 2015-05-08 03:03:01 UTC
Integrated into 'main-silver', will be available in build *201505080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/df6f4c018212
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #156905 Provide Introduce method refactoring
- detect "simplest" write variable access
Comment 8 Quality Engineering 2015-05-09 08:09:00 UTC
Integrated into 'main-silver', will be available in build *201505090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/52ec5dc9be61
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #156905 Provide Introduce method refactoring


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo